com.amazonaws.services.simpleworkflow.model

## Class ListClosedWorkflowExecutionsRequest

- java.lang.Object
- - com.amazonaws.AmazonWebServiceRequest
  - - com.amazonaws.services.simpleworkflow.model.ListClosedWorkflowExecutionsRequest

All Implemented Interfaces:
  ReadLimitInfo, Serializable, Cloneable

    public class ListClosedWorkflowExecutionsRequest
    extends AmazonWebServiceRequest
    implements Serializable, Cloneable

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class com.amazonaws.AmazonWebServiceRequest

`NOOP`

### Constructor Summary

Constructors
Constructor and Description
`ListClosedWorkflowExecutionsRequest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ListClosedWorkflowExecutionsRequest` `clone()`
`boolean` `equals(Object obj)`
`CloseStatusFilter` `getCloseStatusFilter()` If specified, only workflow executions that match this close status are listed.
`ExecutionTimeFilter` `getCloseTimeFilter()` If specified, the workflow executions are included in the returned results based on whether their close times are within the range specified by this filter.
`String` `getDomain()` The name of the domain that contains the workflow executions to list.
`WorkflowExecutionFilter` `getExecutionFilter()` If specified, only workflow executions matching the workflow ID specified in the filter are returned.
`Integer` `getMaximumPageSize()` The maximum number of results that will be returned per call.
`String` `getNextPageToken()` If a `NextPageToken` was returned by a previous call, there are more results available.
`Boolean` `getReverseOrder()` When set to `true`, returns the results in reverse order.
`ExecutionTimeFilter` `getStartTimeFilter()` If specified, the workflow executions are included in the returned results based on whether their start times are within the range specified by this filter.
`TagFilter` `getTagFilter()` If specified, only executions that have the matching tag are listed.
`WorkflowTypeFilter` `getTypeFilter()` If specified, only executions of the type specified in the filter are returned.
`int` `hashCode()`
`Boolean` `isReverseOrder()` When set to `true`, returns the results in reverse order.
`void` `setCloseStatusFilter(CloseStatusFilter closeStatusFilter)` If specified, only workflow executions that match this close status are listed.
`void` `setCloseTimeFilter(ExecutionTimeFilter closeTimeFilter)` If specified, the workflow executions are included in the returned results based on whether their close times are within the range specified by this filter.
`void` `setDomain(String domain)` The name of the domain that contains the workflow executions to list.
`void` `setExecutionFilter(WorkflowExecutionFilter executionFilter)` If specified, only workflow executions matching the workflow ID specified in the filter are returned.
`void` `setMaximumPageSize(Integer maximumPageSize)` The maximum number of results that will be returned per call.
`void` `setNextPageToken(String nextPageToken)` If a `NextPageToken` was returned by a previous call, there are more results available.
`void` `setReverseOrder(Boolean reverseOrder)` When set to `true`, returns the results in reverse order.
`void` `setStartTimeFilter(ExecutionTimeFilter startTimeFilter)` If specified, the workflow executions are included in the returned results based on whether their start times are within the range specified by this filter.
`void` `setTagFilter(TagFilter tagFilter)` If specified, only executions that have the matching tag are listed.
`void` `setTypeFilter(WorkflowTypeFilter typeFilter)` If specified, only executions of the type specified in the filter are returned.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`ListClosedWorkflowExecutionsRequest` `withCloseStatusFilter(CloseStatusFilter closeStatusFilter)` If specified, only workflow executions that match this close status are listed.
`ListClosedWorkflowExecutionsRequest` `withCloseTimeFilter(ExecutionTimeFilter closeTimeFilter)` If specified, the workflow executions are included in the returned results based on whether their close times are within the range specified by this filter.
`ListClosedWorkflowExecutionsRequest` `withDomain(String domain)` The name of the domain that contains the workflow executions to list.
`ListClosedWorkflowExecutionsRequest` `withExecutionFilter(WorkflowExecutionFilter executionFilter)` If specified, only workflow executions matching the workflow ID specified in the filter are returned.
`ListClosedWorkflowExecutionsRequest` `withMaximumPageSize(Integer maximumPageSize)` The maximum number of results that will be returned per call.
`ListClosedWorkflowExecutionsRequest` `withNextPageToken(String nextPageToken)` If a `NextPageToken` was returned by a previous call, there are more results available.
`ListClosedWorkflowExecutionsRequest` `withReverseOrder(Boolean reverseOrder)` When set to `true`, returns the results in reverse order.
`ListClosedWorkflowExecutionsRequest` `withStartTimeFilter(ExecutionTimeFilter startTimeFilter)` If specified, the workflow executions are included in the returned results based on whether their start times are within the range specified by this filter.
`ListClosedWorkflowExecutionsRequest` `withTagFilter(TagFilter tagFilter)` If specified, only executions that have the matching tag are listed.
`ListClosedWorkflowExecutionsRequest` `withTypeFilter(WorkflowTypeFilter typeFilter)` If specified, only executions of the type specified in the filter are returned.

### Methods inherited from class com.amazonaws.AmazonWebServiceRequest

`copyBaseTo, getCloneRoot, getCloneSource, getCustomQueryParameters, getCustomRequestHeaders, getGeneralProgressListener, getReadLimit, getRequestClientOptions, getRequestCredentials, getRequestCredentialsProvider, getRequestMetricCollector, getSdkClientExecutionTimeout, getSdkRequestTimeout, putCustomQueryParameter, putCustomRequestHeader, setGeneralProgressListener, setRequestCredentials, setRequestCredentialsProvider, setRequestMetricCollector, setSdkClientExecutionTimeout, setSdkRequestTimeout, withGeneralProgressListener, withRequestMetricCollector, withSdkClientExecutionTimeout, withSdkRequestTimeout`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ListClosedWorkflowExecutionsRequest

    public ListClosedWorkflowExecutionsRequest()

### Method Detail

#### setDomain

    public void setDomain(String domain)

The name of the domain that contains the workflow executions to list.

Parameters:
  `domain` - The name of the domain that contains the workflow executions to list.

#### getDomain

    public String getDomain()

The name of the domain that contains the workflow executions to list.

Returns:
  The name of the domain that contains the workflow executions to list.

#### withDomain

    public ListClosedWorkflowExecutionsRequest withDomain(String domain)

The name of the domain that contains the workflow executions to list.

Parameters:
  `domain` - The name of the domain that contains the workflow executions to list.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setStartTimeFilter

    public void setStartTimeFilter(ExecutionTimeFilter startTimeFilter)

If specified, the workflow executions are included in the returned results based on whether their start times are within the range specified by this filter. Also, if this parameter is specified, the returned results are ordered by their start times.

<note>`startTimeFilter` and `closeTimeFilter` are mutually exclusive. You must specify one of these in a request but not both.</note>

Parameters:
  `startTimeFilter` - If specified, the workflow executions are included in the returned results based on whether their start times are within the range specified by this filter. Also, if this parameter is specified, the returned results are ordered by their start times. <note>`startTimeFilter` and `closeTimeFilter` are mutually exclusive. You must specify one of these in a request but not both.

#### getStartTimeFilter

    public ExecutionTimeFilter getStartTimeFilter()

If specified, the workflow executions are included in the returned results based on whether their start times are within the range specified by this filter. Also, if this parameter is specified, the returned results are ordered by their start times.

<note>`startTimeFilter` and `closeTimeFilter` are mutually exclusive. You must specify one of these in a request but not both.</note>

Returns:
  If specified, the workflow executions are included in the returned results based on whether their start times are within the range specified by this filter. Also, if this parameter is specified, the returned results are ordered by their start times. <note>`startTimeFilter` and `closeTimeFilter` are mutually exclusive. You must specify one of these in a request but not both.

#### withStartTimeFilter

    public ListClosedWorkflowExecutionsRequest withStartTimeFilter(ExecutionTimeFilter startTimeFilter)

If specified, the workflow executions are included in the returned results based on whether their start times are within the range specified by this filter. Also, if this parameter is specified, the returned results are ordered by their start times.

<note>`startTimeFilter` and `closeTimeFilter` are mutually exclusive. You must specify one of these in a request but not both.</note>

Parameters:
  `startTimeFilter` - If specified, the workflow executions are included in the returned results based on whether their start times are within the range specified by this filter. Also, if this parameter is specified, the returned results are ordered by their start times. <note>`startTimeFilter` and `closeTimeFilter` are mutually exclusive. You must specify one of these in a request but not both.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setCloseTimeFilter

    public void setCloseTimeFilter(ExecutionTimeFilter closeTimeFilter)

If specified, the workflow executions are included in the returned results based on whether their close times are within the range specified by this filter. Also, if this parameter is specified, the returned results are ordered by their close times.

<note>`startTimeFilter` and `closeTimeFilter` are mutually exclusive. You must specify one of these in a request but not both.</note>

Parameters:
  `closeTimeFilter` - If specified, the workflow executions are included in the returned results based on whether their close times are within the range specified by this filter. Also, if this parameter is specified, the returned results are ordered by their close times. <note>`startTimeFilter` and `closeTimeFilter` are mutually exclusive. You must specify one of these in a request but not both.

#### getCloseTimeFilter

    public ExecutionTimeFilter getCloseTimeFilter()

If specified, the workflow executions are included in the returned results based on whether their close times are within the range specified by this filter. Also, if this parameter is specified, the returned results are ordered by their close times.

<note>`startTimeFilter` and `closeTimeFilter` are mutually exclusive. You must specify one of these in a request but not both.</note>

Returns:
  If specified, the workflow executions are included in the returned results based on whether their close times are within the range specified by this filter. Also, if this parameter is specified, the returned results are ordered by their close times. <note>`startTimeFilter` and `closeTimeFilter` are mutually exclusive. You must specify one of these in a request but not both.

#### withCloseTimeFilter

    public ListClosedWorkflowExecutionsRequest withCloseTimeFilter(ExecutionTimeFilter closeTimeFilter)

If specified, the workflow executions are included in the returned results based on whether their close times are within the range specified by this filter. Also, if this parameter is specified, the returned results are ordered by their close times.

<note>`startTimeFilter` and `closeTimeFilter` are mutually exclusive. You must specify one of these in a request but not both.</note>

Parameters:
  `closeTimeFilter` - If specified, the workflow executions are included in the returned results based on whether their close times are within the range specified by this filter. Also, if this parameter is specified, the returned results are ordered by their close times. <note>`startTimeFilter` and `closeTimeFilter` are mutually exclusive. You must specify one of these in a request but not both.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setExecutionFilter

    public void setExecutionFilter(WorkflowExecutionFilter executionFilter)

If specified, only workflow executions matching the workflow ID specified in the filter are returned.

<note>`closeStatusFilter`, `executionFilter`, `typeFilter` and `tagFilter` are mutually exclusive. You can specify at most one of these in a request.</note>

Parameters:
  `executionFilter` - If specified, only workflow executions matching the workflow ID specified in the filter are returned. <note>`closeStatusFilter`, `executionFilter`, `typeFilter` and `tagFilter` are mutually exclusive. You can specify at most one of these in a request.

#### getExecutionFilter

    public WorkflowExecutionFilter getExecutionFilter()

If specified, only workflow executions matching the workflow ID specified in the filter are returned.

<note>`closeStatusFilter`, `executionFilter`, `typeFilter` and `tagFilter` are mutually exclusive. You can specify at most one of these in a request.</note>

Returns:
  If specified, only workflow executions matching the workflow ID specified in the filter are returned. <note>`closeStatusFilter`, `executionFilter`, `typeFilter` and `tagFilter` are mutually exclusive. You can specify at most one of these in a request.

#### withExecutionFilter

    public ListClosedWorkflowExecutionsRequest withExecutionFilter(WorkflowExecutionFilter executionFilter)

If specified, only workflow executions matching the workflow ID specified in the filter are returned.

<note>`closeStatusFilter`, `executionFilter`, `typeFilter` and `tagFilter` are mutually exclusive. You can specify at most one of these in a request.</note>

Parameters:
  `executionFilter` - If specified, only workflow executions matching the workflow ID specified in the filter are returned. <note>`closeStatusFilter`, `executionFilter`, `typeFilter` and `tagFilter` are mutually exclusive. You can specify at most one of these in a request.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setCloseStatusFilter

    public void setCloseStatusFilter(CloseStatusFilter closeStatusFilter)

If specified, only workflow executions that match this close status are listed. For example, if TERMINATED is specified, then only TERMINATED workflow executions are listed.

<note>`closeStatusFilter`, `executionFilter`, `typeFilter` and `tagFilter` are mutually exclusive. You can specify at most one of these in a request.</note>

Parameters:
  `closeStatusFilter` - If specified, only workflow executions that match this close status are listed. For example, if TERMINATED is specified, then only TERMINATED workflow executions are listed. <note> `closeStatusFilter`, `executionFilter`, `typeFilter` and `tagFilter` are mutually exclusive. You can specify at most one of these in a request.

#### getCloseStatusFilter

    public CloseStatusFilter getCloseStatusFilter()

If specified, only workflow executions that match this close status are listed. For example, if TERMINATED is specified, then only TERMINATED workflow executions are listed.

<note>`closeStatusFilter`, `executionFilter`, `typeFilter` and `tagFilter` are mutually exclusive. You can specify at most one of these in a request.</note>

Returns:
  If specified, only workflow executions that match this close status are listed. For example, if TERMINATED is specified, then only TERMINATED workflow executions are listed. <note> `closeStatusFilter`, `executionFilter`, `typeFilter` and `tagFilter` are mutually exclusive. You can specify at most one of these in a request.

#### withCloseStatusFilter

    public ListClosedWorkflowExecutionsRequest withCloseStatusFilter(CloseStatusFilter closeStatusFilter)

If specified, only workflow executions that match this close status are listed. For example, if TERMINATED is specified, then only TERMINATED workflow executions are listed.

<note>`closeStatusFilter`, `executionFilter`, `typeFilter` and `tagFilter` are mutually exclusive. You can specify at most one of these in a request.</note>

Parameters:
  `closeStatusFilter` - If specified, only workflow executions that match this close status are listed. For example, if TERMINATED is specified, then only TERMINATED workflow executions are listed. <note> `closeStatusFilter`, `executionFilter`, `typeFilter` and `tagFilter` are mutually exclusive. You can specify at most one of these in a request.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setTypeFilter

    public void setTypeFilter(WorkflowTypeFilter typeFilter)

If specified, only executions of the type specified in the filter are returned.

<note>`closeStatusFilter`, `executionFilter`, `typeFilter` and `tagFilter` are mutually exclusive. You can specify at most one of these in a request.</note>

Parameters:
  `typeFilter` - If specified, only executions of the type specified in the filter are returned. <note> `closeStatusFilter`, `executionFilter`, `typeFilter` and `tagFilter` are mutually exclusive. You can specify at most one of these in a request.

#### getTypeFilter

    public WorkflowTypeFilter getTypeFilter()

If specified, only executions of the type specified in the filter are returned.

<note>`closeStatusFilter`, `executionFilter`, `typeFilter` and `tagFilter` are mutually exclusive. You can specify at most one of these in a request.</note>

Returns:
  If specified, only executions of the type specified in the filter are returned. <note> `closeStatusFilter`, `executionFilter`, `typeFilter` and `tagFilter` are mutually exclusive. You can specify at most one of these in a request.

#### withTypeFilter

    public ListClosedWorkflowExecutionsRequest withTypeFilter(WorkflowTypeFilter typeFilter)

If specified, only executions of the type specified in the filter are returned.

<note>`closeStatusFilter`, `executionFilter`, `typeFilter` and `tagFilter` are mutually exclusive. You can specify at most one of these in a request.</note>

Parameters:
  `typeFilter` - If specified, only executions of the type specified in the filter are returned. <note> `closeStatusFilter`, `executionFilter`, `typeFilter` and `tagFilter` are mutually exclusive. You can specify at most one of these in a request.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setTagFilter

    public void setTagFilter(TagFilter tagFilter)

If specified, only executions that have the matching tag are listed.

<note>`closeStatusFilter`, `executionFilter`, `typeFilter` and `tagFilter` are mutually exclusive. You can specify at most one of these in a request.</note>

Parameters:
  `tagFilter` - If specified, only executions that have the matching tag are listed. <note> `closeStatusFilter`, `executionFilter`, `typeFilter` and `tagFilter` are mutually exclusive. You can specify at most one of these in a request.

#### getTagFilter

    public TagFilter getTagFilter()

If specified, only executions that have the matching tag are listed.

<note>`closeStatusFilter`, `executionFilter`, `typeFilter` and `tagFilter` are mutually exclusive. You can specify at most one of these in a request.</note>

Returns:
  If specified, only executions that have the matching tag are listed. <note> `closeStatusFilter`, `executionFilter`, `typeFilter` and `tagFilter` are mutually exclusive. You can specify at most one of these in a request.

#### withTagFilter

    public ListClosedWorkflowExecutionsRequest withTagFilter(TagFilter tagFilter)

If specified, only executions that have the matching tag are listed.

<note>`closeStatusFilter`, `executionFilter`, `typeFilter` and `tagFilter` are mutually exclusive. You can specify at most one of these in a request.</note>

Parameters:
  `tagFilter` - If specified, only executions that have the matching tag are listed. <note> `closeStatusFilter`, `executionFilter`, `typeFilter` and `tagFilter` are mutually exclusive. You can specify at most one of these in a request.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setNextPageToken

    public void setNextPageToken(String nextPageToken)

If a `NextPageToken` was returned by a previous call, there are more results available. To retrieve the next page of results, make the call again using the returned token in `nextPageToken`. Keep all other arguments unchanged.

The configured `maximumPageSize` determines how many results can be returned in a single call.

Parameters:
  `nextPageToken` - If a `NextPageToken` was returned by a previous call, there are more results available. To retrieve the next page of results, make the call again using the returned token in `nextPageToken`. Keep all other arguments unchanged.

  The configured `maximumPageSize` determines how many results can be returned in a single call.

#### getNextPageToken

    public String getNextPageToken()

If a `NextPageToken` was returned by a previous call, there are more results available. To retrieve the next page of results, make the call again using the returned token in `nextPageToken`. Keep all other arguments unchanged.

The configured `maximumPageSize` determines how many results can be returned in a single call.

Returns:
  If a `NextPageToken` was returned by a previous call, there are more results available. To retrieve the next page of results, make the call again using the returned token in `nextPageToken`. Keep all other arguments unchanged.

  The configured `maximumPageSize` determines how many results can be returned in a single call.

#### withNextPageToken

    public ListClosedWorkflowExecutionsRequest withNextPageToken(String nextPageToken)

If a `NextPageToken` was returned by a previous call, there are more results available. To retrieve the next page of results, make the call again using the returned token in `nextPageToken`. Keep all other arguments unchanged.

The configured `maximumPageSize` determines how many results can be returned in a single call.

Parameters:
  `nextPageToken` - If a `NextPageToken` was returned by a previous call, there are more results available. To retrieve the next page of results, make the call again using the returned token in `nextPageToken`. Keep all other arguments unchanged.

  The configured `maximumPageSize` determines how many results can be returned in a single call.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setMaximumPageSize

    public void setMaximumPageSize(Integer maximumPageSize)

The maximum number of results that will be returned per call. `nextPageToken` can be used to obtain futher pages of results. The default is 1000, which is the maximum allowed page size. You can, however, specify a page size smaller than the maximum.

This is an upper limit only; the actual number of results returned per call may be fewer than the specified maximum.

Parameters:
  `maximumPageSize` - The maximum number of results that will be returned per call. `nextPageToken` can be used to obtain futher pages of results. The default is 1000, which is the maximum allowed page size. You can, however, specify a page size smaller than the maximum.

  This is an upper limit only; the actual number of results returned per call may be fewer than the specified maximum.

#### getMaximumPageSize

    public Integer getMaximumPageSize()

The maximum number of results that will be returned per call. `nextPageToken` can be used to obtain futher pages of results. The default is 1000, which is the maximum allowed page size. You can, however, specify a page size smaller than the maximum.

This is an upper limit only; the actual number of results returned per call may be fewer than the specified maximum.

Returns:
  The maximum number of results that will be returned per call. `nextPageToken` can be used to obtain futher pages of results. The default is 1000, which is the maximum allowed page size. You can, however, specify a page size smaller than the maximum.

  This is an upper limit only; the actual number of results returned per call may be fewer than the specified maximum.

#### withMaximumPageSize

    public ListClosedWorkflowExecutionsRequest withMaximumPageSize(Integer maximumPageSize)

The maximum number of results that will be returned per call. `nextPageToken` can be used to obtain futher pages of results. The default is 1000, which is the maximum allowed page size. You can, however, specify a page size smaller than the maximum.

This is an upper limit only; the actual number of results returned per call may be fewer than the specified maximum.

Parameters:
  `maximumPageSize` - The maximum number of results that will be returned per call. `nextPageToken` can be used to obtain futher pages of results. The default is 1000, which is the maximum allowed page size. You can, however, specify a page size smaller than the maximum.

  This is an upper limit only; the actual number of results returned per call may be fewer than the specified maximum.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setReverseOrder

    public void setReverseOrder(Boolean reverseOrder)

When set to `true`, returns the results in reverse order. By default the results are returned in descending order of the start or the close time of the executions.

Parameters:
  `reverseOrder` - When set to `true`, returns the results in reverse order. By default the results are returned in descending order of the start or the close time of the executions.

#### getReverseOrder

    public Boolean getReverseOrder()

When set to `true`, returns the results in reverse order. By default the results are returned in descending order of the start or the close time of the executions.

Returns:
  When set to `true`, returns the results in reverse order. By default the results are returned in descending order of the start or the close time of the executions.

#### withReverseOrder

    public ListClosedWorkflowExecutionsRequest withReverseOrder(Boolean reverseOrder)

When set to `true`, returns the results in reverse order. By default the results are returned in descending order of the start or the close time of the executions.

Parameters:
  `reverseOrder` - When set to `true`, returns the results in reverse order. By default the results are returned in descending order of the start or the close time of the executions.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### isReverseOrder

    public Boolean isReverseOrder()

When set to `true`, returns the results in reverse order. By default the results are returned in descending order of the start or the close time of the executions.

Returns:
  When set to `true`, returns the results in reverse order. By default the results are returned in descending order of the start or the close time of the executions.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public ListClosedWorkflowExecutionsRequest clone()

Overrides:
  `clone` in class `AmazonWebServiceRequest`